%define	upstream_name	 Crypt-PasswdMD5
%define	upstream_version 1.40

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Perl extension for crypt()-compatible interfaces to the MD5-based crypt()
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.cpan.org/pub/CPAN/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tgz

BuildRequires: perl(Digest::MD5) >= 2.530.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This  code  provides  various  crypt()-compatible  interfaces  to  the
MD5-based crypt() function found in  various *nixes. It's based on the
implementation  found  on FreeBSD  2.2.[56]-RELEASE

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
perl -pi -e 's,(SSL_DIR.*)/lib\b,\1/%{_lib},g' Makefile.PL

%build
CFLAGS="$RPM_OPT_FLAGS" echo | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Crypt/PasswdMD5.pm
%{_mandir}/*/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 1.400.0-5.mga6
+ Revision: 1024552
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 1.400.0-4.mga6
+ Revision: 932175
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.400.0-3.mga5
+ Revision: 739102
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.400.0-2.mga5
+ Revision: 684051
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 1.400.0-1.mga5
+ Revision: 588254
- update to 1.40

* Fri Oct 18 2013 umeabot <umeabot> 1.300.0-3.mga4
+ Revision: 510353
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.300.0-2.mga3
+ Revision: 364919
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 1.300.0-1.mga1
+ Revision: 26012
- mageia rebuild
- imported package perl-Crypt-PasswdMD5


* Sun Feb 14 2010 Jérôme Quelin <jquelin@mandriva.org> 1.300.0-1mdv2010.1
+ Revision: 505723
- rebuild using %%perl_convert_version

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.3-7mdv2010.0
+ Revision: 426442
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.3-6mdv2009.1
+ Revision: 351698
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 1.3-5mdv2009.0
+ Revision: 241195
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Sun Jul 09 2006 Stefan van der Eijk <stefan@mandriva.org> 1.3-3mdk
- rebuild

* Sat Jun 04 2005 Stefan van der Eijk <stefan@eijk.nu> 1.3-2mdk
- B'day rebuild
- %%mkrel

* Sun May 16 2004 Stefan van der Eijk <stefan@eijk.nu> 1.3-1mdk
- initial package

